Install on Linux Mint 19.3 failed

Use this forum for general user support and related questions.
Post Reply
Pantherin
Posts: 3
Joined: Fri Sep 11, 2020 6:24 am

Install on Linux Mint 19.3 failed

Post by Pantherin » Fri Sep 11, 2020 7:04 am

Tried to install and decompile luxcorerender on my Linux Mint pc. At the end of decompiling, the output was "LuxCore-opencl: No such file or directory". I have no idea what went wrong and what is needed to finish the install. Followed the instructions to decompile in Ubuntu. Not sure, which part of the terminal readout would be helpful, as the entirety of it was to large to post. Sorry about that.

Code: Select all

LuxMark src not available, skipping the stage

 * Installing STANDALONE version at /home/pantherin/LuxCore/LinuxCompile/target-64-sse2/LuxCore
LuxCore/
LuxCore/luxcoreui
LuxCore/pyluxcore.so
LuxCore/AUTHORS.txt
LuxCore/libnvrtc-builtins.so.11.0
LuxCore/libnvrtc.so.11.0.194
LuxCore/libOpenImageDenoise.so.0
LuxCore/libnvrtc.so
LuxCore/README.md
LuxCore/libnvrtc.so.11.0
LuxCore/libnvrtc-builtins.so
LuxCore/libembree3.so.3
LuxCore/scenes/
LuxCore/scenes/cornell/
LuxCore/scenes/cornell/HalveRed.ply
LuxCore/scenes/cornell/Grey.ply
LuxCore/scenes/cornell/DarkGreen.ply
LuxCore/scenes/cornell/Khaki.ply
LuxCore/scenes/cornell/cornell.cfg
LuxCore/scenes/cornell/cornell.scn
LuxCore/libtbbmalloc.so.2
LuxCore/COPYING.txt
LuxCore/libtbb.so.2
LuxCore/pyluxcoretools.zip
LuxCore/libnvrtc-builtins.so.11.0.194

 * Installed successfully to /home/pantherin/LuxCore/LinuxCompile/target-64-sse2/LuxCore
 * DONE
root@Jules:/home/pantherin/LuxCore/LinuxCompile# cd target-64-sse2/LuxCore-opencl/
bash: cd: target-64-sse2/LuxCore-opencl/: No such file or directory

User avatar
Dade
Developer
Posts: 4680
Joined: Mon Dec 04, 2017 8:36 pm
Location: Italy

Re: Install on Linux Mint 19.3 failed

Post by Dade » Fri Sep 11, 2020 7:24 am

Pantherin wrote:
Fri Sep 11, 2020 7:04 am

Code: Select all

 * Installed successfully to /home/pantherin/LuxCore/LinuxCompile/target-64-sse2/LuxCore
 * DONE
root@Jules:/home/pantherin/LuxCore/LinuxCompile# cd target-64-sse2/LuxCore-opencl/
bash: cd: target-64-sse2/LuxCore-opencl/: No such file or directory
You should type:

Code: Select all

cd target-64-sse2/LuxCore
not "cd target-64-sse2/LuxCore-opencl/", as stated in the last few lines of the script output, the result of compilation was installed in " /home/pantherin/LuxCore/LinuxCompile/target-64-sse2/LuxCore" directory, not in " /home/pantherin/LuxCore/LinuxCompile/target-64-sse2/LuxCore-opencl".
Support LuxCoreRender project with salts and bounties

Pantherin
Posts: 3
Joined: Fri Sep 11, 2020 6:24 am

Re: Install on Linux Mint 19.3 failed

Post by Pantherin » Fri Sep 11, 2020 7:46 am

Thank you for answering so promptly. This did indeed solve that particular hurdle. And this was followed by the next (and hopefully the last :D ) hurdle. My rig is not a CUDA core system and so far I've assumed that Luxcorerender works with older systems, the same as Luxrender.

Hope you can help

Code: Select all

root@Jules:/home/pantherin/LuxCore/LinuxCompile/target-64-sse2/LuxCore# ./luxcoreui ./scenes/cornell/cornell.cfg
LuxCoreUI v2.5alpha0 (LuxCore demo: http://www.luxcorerender.org)
[LuxCore][0.089] Configuration: 
[LuxCore][0.089]   film.width = "800"
[LuxCore][0.089]   film.height = "800"
[LuxCore][0.089]   scene.file = "scenes/cornell/cornell.scn"
[LuxCore][0.089]   path.photongi.indirect.enabled = "0"
[LuxCore][0.089]   path.photongi.caustic.enabled = "0"
[LuxCore][0.089]   path.pathdepth.total = "5"
[LuxCore][0.089]   film.imagepipelines.0.0.type = "TONEMAP_LINEAR"
[LuxCore][0.089]   film.imagepipelines.0.0.scale = "1"
[LuxCore][0.089]   film.imagepipelines.0.1.type = "GAMMA_CORRECTION"
[LuxCore][0.089]   film.imagepipelines.0.1.value = "2.2"
[LuxCore][0.089]   film.outputs.0.type = "RGB_IMAGEPIPELINE"
[LuxCore][0.089]   film.outputs.0.index = "0"
[LuxCore][0.089]   film.outputs.0.filename = "normal.png"
[LuxCore][0.089]   film.outputs.1.type = "RGB_IMAGEPIPELINE"
[LuxCore][0.089]   film.outputs.1.index = "1"
[LuxCore][0.089]   film.outputs.1.filename = "denoised.png"
[LuxCore][0.089]   film.outputs.2.type = "ALBEDO"
[LuxCore][0.090]   film.outputs.2.filename = "cornell_ALBEDO.png"
[LuxCore][0.090]   film.outputs.3.type = "AVG_SHADING_NORMAL"
[LuxCore][0.090]   film.outputs.3.filename = "cornell_AVG_SHADING_NORMAL.exr"
[LuxCore][0.090] File Name Resolver Configuration: 
[LuxCore][0.090]   .
[LuxCore][0.090]   ./scenes/cornell
[SDL][0.090] Reading scene: scenes/cornell/cornell.scn
[SDL][0.105] Define ImageMap: NamedObject
[SDL][0.114] Material definition: Khaki
[SDL][0.119] Material definition: HalveRed
[SDL][0.119] Material definition: DarkGreen
[SDL][0.119] Material definition: Light
[SDL][0.120] Camera type: perspective
[SDL][0.120] Camera position: Point[-2.78, -8, 2.73]
[SDL][0.120] Camera target: Point[-2.78, 2, 2.73]
[SDL][0.120] Camera clipping plane disabled
[SDL][0.145] The Grey object is a light sources with 2 triangles
[SDL][0.145] Scene objects count: 4
[SDL][0.456] Camera type: perspective
[SDL][0.456] Camera position: Point[-2.78, -8, 2.73]
[SDL][0.456] Camera target: Point[-2.78, 2, 2.73]
[SDL][0.456] Camera clipping plane disabled
Film size adjusted: 800x800 (Frame buffer size: 800x800)
RenderConfig has cached kernels: True
[LuxCore][0.456] Film resolution: 800x800
[SDL][0.457] Film output definition: RGB_IMAGEPIPELINE [image.png]
[SDL][0.457] Image pipeline: film.imagepipelines.0
[SDL][0.458] Image pipeline step 0: TONEMAP_LINEAR
[SDL][0.458] Image pipeline step 1: GAMMA_CORRECTION
[SDL][0.458] Film output definition: RGB_IMAGEPIPELINE [normal.png]
[SDL][0.458] Film output definition: RGB_IMAGEPIPELINE [denoised.png]
[SDL][0.458] Film output definition: ALBEDO [cornell_ALBEDO.png]
[SDL][0.458] Film output definition: AVG_SHADING_NORMAL [cornell_AVG_SHADING_NORMAL.exr]
[LuxRays][0.458] OpenCL support: enabled
[LuxRays][0.642] OpenCL Platform 0: NVIDIA CUDA
[LuxRays][0.642] CUDA support: enabled
[LuxRays][0.642] CUDA support: available
[LuxRays][0.642] CUDA driver version: 9.10
[LuxRays][0.642] CUDA device count: 1
[LuxRays][0.642] Optix support: not available
[LuxRays][0.642] Device 0 name: Native
[LuxRays][0.642] Device 0 type: NATIVE_THREAD
[LuxRays][0.642] Device 0 compute units: 1
[LuxRays][0.642] Device 0 preferred float vector width: 4
[LuxRays][0.642] Device 0 max allocable memory: 17592186044415MBytes
[LuxRays][0.642] Device 0 max allocable memory block size: 17592186044415MBytes
[LuxRays][0.642] Device 0 has out of core memory support: 0
[LuxRays][0.642] Device 1 name: Quadro 3000M
[LuxRays][0.642] Device 1 type: OPENCL_GPU
[LuxRays][0.642] Device 1 compute units: 5
[LuxRays][0.642] Device 1 preferred float vector width: 1
[LuxRays][0.642] Device 1 max allocable memory: 1985MBytes
[LuxRays][0.642] Device 1 max allocable memory block size: 496MBytes
[LuxRays][0.642] Device 1 has out of core memory support: 0
[LuxRays][0.642] Device 2 name: Quadro 3000M
[LuxRays][0.642] Device 2 type: CUDA_GPU
[LuxRays][0.642] Device 2 compute units: 1
[LuxRays][0.642] Device 2 preferred float vector width: 1
[LuxRays][0.642] Device 2 max allocable memory: 1985MBytes
[LuxRays][0.642] Device 2 max allocable memory block size: 17592186044415MBytes
[LuxRays][0.642] Device 2 has out of core memory support: 1
[LuxRays][0.642] Device 2 CUDA compute capability: 2.1
[LuxRays][0.642] Creating 8 intersection device(s)
[LuxRays][0.642] Allocating intersection device 0: Native (Type = NATIVE_THREAD)
[LuxRays][0.661] Allocating intersection device 1: Native (Type = NATIVE_THREAD)
[LuxRays][0.661] Allocating intersection device 2: Native (Type = NATIVE_THREAD)
[LuxRays][0.661] Allocating intersection device 3: Native (Type = NATIVE_THREAD)
[LuxRays][0.661] Allocating intersection device 4: Native (Type = NATIVE_THREAD)
[LuxRays][0.661] Allocating intersection device 5: Native (Type = NATIVE_THREAD)
[LuxRays][0.661] Allocating intersection device 6: Native (Type = NATIVE_THREAD)
[LuxRays][0.661] Allocating intersection device 7: Native (Type = NATIVE_THREAD)
[LuxCore][0.661] Configuring 8 CPU render threads
[LuxRays][0.661] Preprocessing DataSet
[LuxRays][0.661] Total vertex count: 64
[LuxRays][0.661] Total triangle count: 32
[LuxRays][0.661] Preprocessing DataSet done
[LuxRays][0.661] Adding DataSet accelerator: EMBREE
[LuxRays][0.661] Total vertex count: 64
[LuxRays][0.661] Total triangle count: 32
[LuxRays][0.720] EmbreeAccel build time: 50ms
[LuxCore][0.862] Film hardware image pipeline
[LuxCore][0.987] Film hardware device used: Quadro 3000M CUDAIntersect (Type: CUDA_GPU)
[LuxRays][0.988] [Device Quadro 3000M CUDAIntersect] IMAGEPIPELINE buffer size: 7500Kbytes
[LuxRays][0.989] [Device Quadro 3000M CUDAIntersect] Merge buffer size: 10000Kbytes
[LuxRays][0.990] [MergeSampleBuffersOCL] Compiler options: -D LUXRAYS_OPENCL_KERNEL -D SLG_OPENCL_KERNEL -D LUXRAYS_CUDA_DEVICE -D LUXRAYS_OS_LINUX --use_fast_math
[LuxRays][0.990] [MergeSampleBuffersOCL] Compiling kernels
[LuxCore][2.490] [Quadro 3000M CUDAIntersect] Memory used for hardware image pipeline: 17500Kbytes
RUNTIME ERROR: CUDA driver API error CUDA_ERROR_INVALID_PTX (code: 218, file:/home/pantherin/LuxCore/LinuxCompile/LuxCore/src/luxrays/utils/cuda.cpp, line: 222): a PTX JIT compilation failed

root@Jules:/home/pantherin/LuxCore/LinuxCompile/target-64-sse2/LuxCore# ^C
root@Jules:/home/pantherin/LuxCore/LinuxCompile/target-64-sse2/LuxCore# 
nb: just realized it might have been helpful, if I'd posted my system's specs. It's not a recommended rig for rendering but I've run Lux on worse.

System: Host: Jules Kernel: 5.4.0-47-generic x86_64 bits: 64 compiler: gcc v: 7.5.0
Desktop: Cinnamon 4.4.8 wm: muffin dm: LightDM Distro: Linux Mint 19.3 Tricia
base: Ubuntu 18.04 bionic
Machine: Type: Laptop System: Dell product: Precision M6600 v: 01 serial: <filter> Chassis:
type: 9 serial: <filter>
Mobo: Dell model: 04YY4M v: A00 serial: <filter> BIOS: Dell v: A15 date: 09/27/2013
Battery: ID-1: BAT0 charge: 88.0 Wh condition: 88.0/99.9 Wh (88%) volts: 12.5/11.1
model: SMP DELL 4HJXXD1 serial: <filter> status: Full
CPU: Topology: Quad Core model: Intel Core i7-2720QM bits: 64 type: MT MCP
arch: Sandy Bridge rev: 7 L2 cache: 6144 KiB
flags: lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 35119
Speed: 1753 MHz min/max: 800/3300 MHz Core speeds (MHz): 1: 1857 2: 2011 3: 2295
4: 2166 5: 1705 6: 2219 7: 1310 8: 1952
Graphics: Device-1: Intel 2nd Generation Core Processor Family Integrated Graphics vendor: Dell
driver: i915 v: kernel bus ID: 00:02.0 chip ID: 8086:0126
Device-2: NVIDIA GF104GLM [Quadro 3000M] vendor: Dell driver: nvidia v: 390.138
bus ID: 01:00.0 chip ID: 10de:0e3a
Display: x11 server: X.Org 1.20.8 driver: modesetting,nvidia
unloaded: fbdev,nouveau,vesa resolution: 1600x900~60Hz
OpenGL: renderer: Quadro 3000M/PCIe/SSE2 v: 4.6.0 NVIDIA 390.138 direct render: Yes

User avatar
Dade
Developer
Posts: 4680
Joined: Mon Dec 04, 2017 8:36 pm
Location: Italy

Re: Install on Linux Mint 19.3 failed

Post by Dade » Fri Sep 11, 2020 8:37 am

Pantherin wrote:
Fri Sep 11, 2020 7:46 am
Thank you for answering so promptly. This did indeed solve that particular hurdle. And this was followed by the next (and hopefully the last :D ) hurdle. My rig is not a CUDA core system and so far I've assumed that Luxcorerender works with older systems, the same as Luxrender.

Hope you can help
The default test scene will use GPU(+CPU) for rendering, you can force the usage of CPU-only by using the following command (i.e. the default test scene render engine is set to PATHOCL):

Code: Select all

./luxcoreui -D renderengine.type PATHCPU ./scenes/cornell/cornell.cfg
You can also fix your GPU rendering by installing the very latest NVIDIA driver: v452+. The error is caused by the NVIDIA compilar used by LuxCore (CUDA v10.1) while your GPU driver is older and doesn't understand the generated code.
Support LuxCoreRender project with salts and bounties

User avatar
Dade
Developer
Posts: 4680
Joined: Mon Dec 04, 2017 8:36 pm
Location: Italy

Re: Install on Linux Mint 19.3 failed

Post by Dade » Fri Sep 11, 2020 8:39 am

Pantherin wrote:
Fri Sep 11, 2020 7:46 am
Device-2: NVIDIA GF104GLM [Quadro 3000M] vendor: Dell driver: nvidia v: 390.138
This, you need a lot newer driver.
Support LuxCoreRender project with salts and bounties

Pantherin
Posts: 3
Joined: Fri Sep 11, 2020 6:24 am

Re: Install on Linux Mint 19.3 failed

Post by Pantherin » Fri Sep 11, 2020 9:36 am

Thank you

Sadly, the newest linux driver for the Quadro 3000M is the 390.138 version, even according to NVIDIA. I don't suppose there is a way around this?

User avatar
Dade
Developer
Posts: 4680
Joined: Mon Dec 04, 2017 8:36 pm
Location: Italy

Re: Install on Linux Mint 19.3 failed

Post by Dade » Fri Sep 11, 2020 10:45 am

Pantherin wrote:
Fri Sep 11, 2020 9:36 am
Sadly, the newest linux driver for the Quadro 3000M is the 390.138 version, even according to NVIDIA. I don't suppose there is a way around this?
"390" sounds really old, you need to discover what CUDA version is supported by your driver and install that particular CUDA SDK on your system.

Than you can delete LinuxCompile/target-64-sse2/LuxCore/libnvrtc.so and LinuxCompile/target-64-sse2/LuxCore/libnvrtc-builtins.so files. LuxCore will start to use your system installed CUDA compiler (instead of the one provided in libnvrtc).

At that point it may work (i.e. quite a long shot).
Support LuxCoreRender project with salts and bounties

Post Reply